<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PPEColorGrading Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d32/class_p_p_e_color_grading.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">PPEColorGrading Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>ColorGrading - PostProcessEffectType.ColorGrading.  
 <a href="../../de/d32/class_p_p_e_color_grading.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for PPEColorGrading:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d32/class_p_p_e_color_grading.png" usemap="#PPEColorGrading_map" alt=""/>
  <map id="PPEColorGrading_map" name="PPEColorGrading_map">
<area href="../../d3/ddf/class_p_p_e_class_base.html" title="Created once, on manager init. Script-side representation of C++ material class, separate handling." alt="PPEClassBase" shape="rect" coords="0,0,112,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9baf9c6b71051f0ecff2dbd65d7f8307"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d32/class_p_p_e_color_grading.html#a9baf9c6b71051f0ecff2dbd65d7f8307">GetPostProcessEffectID</a> ()</td></tr>
<tr class="separator:a9baf9c6b71051f0ecff2dbd65d7f8307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5073d7aaa8530edda259f052f484fbf4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d32/class_p_p_e_color_grading.html#a5073d7aaa8530edda259f052f484fbf4">GetDefaultMaterialPath</a> ()</td></tr>
<tr class="separator:a5073d7aaa8530edda259f052f484fbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3f41a8c92214c4395c744313fe53d6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d32/class_p_p_e_color_grading.html#a4c3f41a8c92214c4395c744313fe53d6">RegisterMaterialParameters</a> ()</td></tr>
<tr class="separator:a4c3f41a8c92214c4395c744313fe53d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ColorGrading - PostProcessEffectType.ColorGrading. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html">PPEColorGrading.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5073d7aaa8530edda259f052f484fbf4" name="a5073d7aaa8530edda259f052f484fbf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5073d7aaa8530edda259f052f484fbf4">&#9670;&#160;</a></span>GetDefaultMaterialPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PPEColorGrading::GetDefaultMaterialPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00012">12</a> of file <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html">PPEColorGrading.c</a>.</p>

</div>
</div>
<a id="a9baf9c6b71051f0ecff2dbd65d7f8307" name="a9baf9c6b71051f0ecff2dbd65d7f8307"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9baf9c6b71051f0ecff2dbd65d7f8307">&#9670;&#160;</a></span>GetPostProcessEffectID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPEColorGrading::GetPostProcessEffectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00007">7</a> of file <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html">PPEColorGrading.c</a>.</p>

</div>
</div>
<a id="a4c3f41a8c92214c4395c744313fe53d6" name="a4c3f41a8c92214c4395c744313fe53d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c3f41a8c92214c4395c744313fe53d6">&#9670;&#160;</a></span>RegisterMaterialParameters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PPEColorGrading::RegisterMaterialParameters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00017">17</a> of file <a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html">PPEColorGrading.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/PPEManager/Materials/MatClasses/<a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c_source.html">PPEColorGrading.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d32/class_p_p_e_color_grading.html">PPEColorGrading</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
